## zephir-client 2.4.1-28

=== debian/changelog ===
zephir-client (2.4.1-28) eole-2.4.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [d147172] save_files : Chemins definis au niveau EOLE / académique prioritaires
  * [64f6bd8] Amélioration de l'ordre des fichiers dans fichiers_zephir (par priorité)
  * [cc528c0] Merge branch 'issue/11649' into 2.4.1/master
  * [8dddb8d] Prise en compte du délai pour l'action de reboot à distance
  * [10e7c2c] reboot.zephir : correction indentation dans try/except
  * [f126ff6] Merge branch 'issue/11897' into 2.4.1/master
  * [bf9c13b] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [61d6c5e] Bruno Boiget: Update package since “debian/eole/2.4/2.4.1-27”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 03 Jun 2015 16:35:52 +0200

zephir-client (2.4.1-27) eole-2.4.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [c5c156e] Correction de l'affichage (flush stdout) dans upgrade_distrib.py
  * [2d4989c] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [d164929] Bruno Boiget: Update package since “debian/eole/2.4/2.4.1-26”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 03 Jun 2015 14:17:02 +0200

zephir-client (2.4.1-26) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [a6cd27c] Correction Traceback si réponse vide
  * [69fa12a] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [6298a10] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-25”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 02 Jun 2015 11:12:58 +0200

zephir-client (2.4.1-25) eole-2.4-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [5bfc3be] Adaptation agent crl pour une chaîne de certif CA
  * [11e0276] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [5f9a221] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.1-24”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 29 May 2015 09:21:17 +0200

zephir-client (2.4.1-24) eole-2.4.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [4a8c4f8] Déplacer les appels CreoleClient dans l’action
  * [644b7ee] Merge branch 'backport/dansguardian-zephir-agent'
  * [828599e] Merge branch '2.4.1/master'

  [ EOLE Build Daemon ]
  * [14ce6b1] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.1-23”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 May 2015 14:04:29 +0200

zephir-client (2.4.1-23) eole-2.4.1-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f22229c] Support du mode conteneur pour l'agent TCPService
  * [ff6aea4] Support de e2guardian + mode conteneur
  * [4faf639] Surveillance des deux instances de dansguardian
  * [549d501] Erreur dans l'appel à creole_client
  * [ef0da17] Merge branch 'backport/dansguardian-zephir-agent'
  * [7deb79b] Merge branch '2.4.1/master'

  [ EOLE Build Daemon ]
  * [cd97d80] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.1-22”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 04 May 2015 11:22:52 +0200

zephir-client (2.4.1-22) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [7ee815b] redémarre bind dans le conteneur si nécessaire (ref #10356 @3h)
  * [bfdb762] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [1a74ca2] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-21”

 -- Garette Emmanuel <egarette@cadoles.com>  Wed, 29 Apr 2015 09:05:13 +0200

zephir-client (2.4.1-21) eole-2.4.1-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [96c1566] deplace l'upgrade de la configuration 2.4.0=>2.4.1 pour ne migrer qu'après récupération de la variante (ref #11380 @2h)
  * [319db06] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [1a88a64] Garette Emmanuel: Update package since “debian/eole/2.4/2.4.1-20”

 -- Garette Emmanuel <egarette@cadoles.com>  Mon, 27 Apr 2015 16:08:41 +0200

zephir-client (2.4.1-20) eole-2.4.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [925046d] install_paqs: Correction de l'installation si serveur de maj différent
  * [eac696c] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [7d838a7] Bruno Boiget: Update package since “debian/eole/2.4/2.4.1-19”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 22 Apr 2015 15:04:53 +0200

zephir-client (2.4.1-19) eole-2.4.1-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [248a7d5] Corrections et ajouts dans les messages de fin d'upgrade/migration

  [ Joël Cuissinat ]
  * [4f91ffa] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [2682363] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-18”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 20 Mar 2015 16:21:39 +0100

zephir-client (2.4.1-18) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [009b731] upgrade_distrib.py: message spécifique pour la haute dispo
  * [9773be8] Merge branch '2.4.1/master' into dist/eole/2.4.1/master

  [ EOLE Build Daemon ]
  * [e6a4b59] Bruno Boiget: Update package since “debian/eole/2.4/2.4.1-17”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 25 Feb 2015 16:28:57 +0100

zephir-client (2.4.1-17) eole-2.4-unstable; urgency=low

  [ Joël Cuissinat ]
  * [e04db94] Mise à jour automatisée des fichiers de configuration avec Upgrade-Auto
    (Fixes: #10526, 2)
  * [14902f8] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]
  * [2eb6c4f] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.1-16”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 12 Feb 2015 16:52:26 +0100

zephir-client (2.4.1-16) eole-2.4-unstable; urgency=low

  [ Bruno Boiget ]
  * [e39e3c7] z_stats: ___version___ ignoré pour le calcul du md5 de la configuration
  * [0fb4433] tests supplémentaire au calcul de md5:
  * [17b0d1c] Merge branch 'master' into dist/ubuntu/precise/master

  [ EOLE Build Daemon ]


## zephir-client 2.4.2-16

=== Makefile ===
#!/usr/bin/make

INSTALL         := install
INSTALL_DATA    := install -m 644
INSTALL_PROGRAM := install -m 755
INSTALL_DIR     := install -m 755 -d

EOLE_DIR        := $(DESTDIR)/usr/share/eole
CREOLE_DIR      := $(EOLE_DIR)/creole
CREOLE_DICO     := $(CREOLE_DIR)/dicos

ZEPHIR_DIR      := $(DESTDIR)/usr/share/zephir
ZEPHIR_CONFIG   := $(ZEPHIR_DIR)/monitor/configs
ZEPHIR_DATA     := $(ZEPHIR_DIR)/monitor/data
ZEPHIR_STATS    := $(ZEPHIR_DIR)/monitor/stats
ZEPHIR_TMP      := $(ZEPHIR_DIR)/monitor/tmp
ZEPHIR_XML      := $(ZEPHIR_DIR)/monitor/xml
ZEPHIR_SCRIPTS  := $(ZEPHIR_DIR)/scripts
ZEPHIR_LOG      := $(DESTDIR)/var/log/zephir

EAD_BACKEND     := $(EOLE_DIR)/ead2/backend

INIT_D          := $(DESTDIR)/etc/init.d
CRON_D          := $(DESTDIR)/etc/cron.d
LOGROTATE_D     := $(DESTDIR)/etc/logrotate.d

PYTHON_DIST     := $(DESTDIR)/usr/lib/python2.6/dist-packages

ifneq ($(DESTDIR),)
PYTHON_OPTS     := --root $(DESTDIR)
endif

DICO            := dicos

CRON            := cron
LOGROTATE       := logrotate

DATA            := data
SCRIPTS         := scripts

EAD             := ead

ZEPHIR_TMPL     := zephir/monitor/agentmanager/templates

clean:
	$(RM) -r build
	$(MAKE) -C $(ZEPHIR_TMPL) clean

build: clean
	$(MAKE) -C $(ZEPHIR_TMPL) all

installdirs:
	$(INSTALL_DIR) $(EOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DIR)
	$(INSTALL_DIR) $(CREOLE_DICO)

	$(INSTALL_DIR) $(ZEPHIR_DIR)
	$(INSTALL_DIR) $(ZEPHIR_CONFIG)
	$(INSTALL_DIR) $(ZEPHIR_DATA)
	$(INSTALL_DIR) $(ZEPHIR_STATS)
	$(INSTALL_DIR) $(ZEPHIR_TMP)
	$(INSTALL_DIR) $(ZEPHIR_XML)
	$(INSTALL_DIR) $(ZEPHIR_SCRIPTS)
	$(INSTALL_DIR) $(ZEPHIR_LOG)

	$(INSTALL_DIR) $(EAD_BACKEND)
	for ead in `find $(EAD)/ -type d`; do \
		$(INSTALL_DIR) $(EAD_BACKEND)/$${ead#*/}; \
	done

	$(INSTALL_DIR) $(INIT_D)
	$(INSTALL_DIR) $(CRON_D)
	$(INSTALL_DIR) $(LOGROTATE_D)

install: build installdirs
	for dico in `ls -1 $(DICO)/`; do \
	 	$(INSTALL_DATA) $(DICO)/$$dico $(CREOLE_DICO)/ ; \
	done
	for ead in `find $(EAD)/ -type f`; do \
		$(INSTALL_DATA) $(EAD)/$${ead#*/} $(EAD_BACKEND)/`dirname $${ead#*/}`; \
	done

	for script in `ls -1 $(SCRIPTS)/`; do \
		$(INSTALL_PROGRAM) $(SCRIPTS)/$$script $(ZEPHIR_SCRIPTS)/ ; \
	done

	for cron in `ls -1 $(CRON)/`; do \
		$(INSTALL_PROGRAM) $(CRON)/$$cron $(CRON_D)/ ; \
	done
	for logrotate in `ls -1 $(LOGROTATE)/`; do \
		$(INSTALL_DATA) $(LOGROTATE)/$$logrotate $(LOGROTATE_D)/ ; \
	done
	$(INSTALL_PROGRAM) z_stats $(INIT_D)/
	python setup.py install --no-compile --install-layout=deb $(PYTHON_OPTS)

uninstall:
	for dico in `find $(DICO)/ -type f`; do \
		$(RM) $(CREOLE_DICO)/$${dico#*/}; \
	done

	for ead in `find $(EAD)/ -type f`; do \
		$(RM) $(EAD_BACKEND)/$${ead#*/}; \
	done

	for script in `find $(SCRIPTS)/ -type f`; do \
		$(RM) $(ZEPHIR_SCRIPTS)/$${script#*/} ; \
	done
	for cron in `find $(CRON)/ -type f`; do \
		$(RM) $(CRON_D)/$${cron#*/}; \
	done
	for logrotate in `find $(LOGROTATE)/ -type f`; do \
		$(RM) $(LOGROTATE_D)/$${logrotate#*/} ; \
	done
	$(RM) $(INIT_D)/z_stats

.PHONY: clean build installdirs install uninstall

=== debian/changelog ===
zephir-client (2.4.2-16) eole-2.4.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [cf4c9ff] Skip KernelMaintenance agent if hwe-support-status does not exists
  * [9efc228] Non verbose output of “hwe-support-status” can be empty
  * [c3af8fb] Merge branch '2.4.0/report-kernel-support'
  * [5fed4c0] Merge branch '2.4.2/master'

  [ EOLE Build Daemon ]
  * [c3e9847] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.2-15”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 03 Apr 2017 09:59:29 +0200

zephir-client (2.4.2-15) eole-2.4.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [cf6b9bc] Report kernel maintenance status in Zéphir agents
  * [ce14145] Merge branch '2.4.0/report-kernel-support'
  * [0bae0b7] Merge branch '2.4.2/master'

  [ EOLE Build Daemon ]
  * [62ccf37] Daniel Dehennin: Update package since “debian/eole/2.4/2.4.2-14”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 23 Mar 2017 17:48:41 +0100

zephir-client (2.4.2-14) eole-2.4.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [b828d88] Correction traceback dans un cas précis du VPN
  * [f431340] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [289aa67] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-13”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 31 Mar 2016 15:54:07 +0200

zephir-client (2.4.2-13) eole-2.4.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [9ba69c8] Correction de l'action de pré-chargement des paquets
  * [5e0a1ef] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [c797392] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.2-12”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 25 Mar 2016 14:24:36 +0100

zephir-client (2.4.2-12) eole-2.4.2-proposed-updates; urgency=low

  [ Garette Emmanuel ]
  * [5ab6764] data/zephir_conf/fichiers_amon* : le répertoire /etc/squid n'existe plus, c'est maintenant /etc/squid3

  [ Joël Cuissinat ]
  * [e85ab76] Merge branch '2.4.0/15404-fix-fichiers-amon' into 2.4.2/master
  * [7c945c8] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [af5bfa0] Joël Cuissinat: Update package since “debian/eole/2.4/2.4.2-11”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 16 Mar 2016 12:14:45 +0100

zephir-client (2.4.2-11) eole-2.4.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [04a0743] Simplification de l'agent RVP. Plus d'action pendant la mesure.
  * [63f22fd] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [a731d57] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-10”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 15 Mar 2016 16:33:13 +0100

zephir-client (2.4.2-10) eole-2.4.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [0082959] Corrections sur le script upgrade_distrib.py

  [ Fabrice Barconnière ]
  * [ae30c2c] Merge remote-tracking branch 'remotes/origin/issue/14229' into 2.4.2/master
  * [7fa8219] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [aff918d] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-9”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 01 Feb 2016 15:28:50 +0100

zephir-client (2.4.2-9) eole-2.4.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [df7a2b9] Utilitaire parse_date : ajout des mois en français et anglais raccourcis
  * [114a76c] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [5cdd209] Fabrice Barconnière: Update package since “debian/eole/2.4/2.4.2-8”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 19 Jan 2016 16:12:47 +0100

zephir-client (2.4.2-8) eole-2.4.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [9eff4cc] upgrade_distrib.py pas d'appel à upgrad_config avant descente de la variante
  * [61056de] Ajout d'une purge des locks en début de la descente de configuration
  * [af19b77] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [10617d5] Bruno Boiget: Update package since “debian/eole/2.4/2.4.2-7”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 06 Jan 2016 10:26:18 +0100

zephir-client (2.4.2-7) eole-2.4.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [283afa3] download_upgrade.py : l'option --version est remplacée par -release
  * [ca73bd7] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [8da0bf8] Bruno Boiget: Update package since “debian/eole/2.4/2.4.2-6”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Thu, 17 Dec 2015 11:12:58 +0100

zephir-client (2.4.2-6) eole-2.4.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [235de77] Adaptation de download_upgrade.zephir à la nouvelle version d'Upgrade-Auto
  * [85cc9d7] Merge branch '2.4.2/master' into dist/eole/2.4.2/master
  * [88cbf2c] download_upgrade: vérification de la version d'Upgrade-Auto + log
  * [e6c3692] Appel d'Upgrade-Auto avec --force au lieu de -f
  * [aa1710a] Merge branch '2.4.2/master' into dist/eole/2.4.2/master
  * [7e01d0a] Sortie en erreur oubliée dans commit précédent
  * [c22e553] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [676be6e] Bruno Boiget: Update package since “debian/eole/2.4/2.4.2-5”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Wed, 16 Dec 2015 12:10:35 +0100

zephir-client (2.4.2-5) eole-2.4.2-proposed-updates; urgency=low

  [ Bruno Boiget ]
  * [e5dc72b] Correction d'un elif mal refactorisé
  * [0908892] save-files: correction de possibles entrées en double
  * [e65c49b] Suppression de la copie des dictionnaires de module vers local
  * [7b9c290] Merge branch 'issue/13511' into 2.4.2/master
  * [f13a266] Merge branch '2.4.2/master' into dist/eole/2.4.2/master

  [ EOLE Build Daemon ]
  * [395637a] Bruno Boiget: Update package since “debian/eole/2.4/2.4.2-4”



=== debian/control ===
Source: zephir-client
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9), python-all-dev,
 python-central (>= 0.6.15), python-cheetah
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/zephir-client
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/zephir-client/repository

Package: zephir-client
Architecture: all
Depends: uucp, python-rrd, python-twisted, snmp-mibs-downloader,
 language-pack-en,
 ${python:Depends}, ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

Package: zephir-stats
Architecture: all
Conflicts: zephir-backend,
# conflits liés à l'Upgrade 2.2 -> 2.3
 zephir-client (<<2.3), eole-ead-server (<<2.3)
Replaces: zephir-backend
Depends: zephir-client, ${python:Depends}, ${misc:Depends}
Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
 Pour toute information complementaire, veuillez vous rendre
 sur le site du Projet a l'adresse suivante :
 .
 http://eole.orion.education.fr

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

# Force python-central for use with twisted
build:
	dh build --with python-central

override_dh_pysupport:
	dh_pycentral

# Force init script name
override_dh_installinit:
	dh_installinit --no-start --name=z_stats $@

# Avoid installing cron-zephir.sh zephir-client.
# Its source is explicitely listed in zephir-stats.install
override_dh_install:
	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
	dh_install

.PHONY: build override_dh_pysupport override_dh_installinit override_dh_install

## zephir-client 2.5.0-1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 INSTALL_DIR     := install -m 755 -d
 
 EOLE_DIR        := $(DESTDIR)/usr/share/eole
+PRETEMPLATE_DIR := $(EOLE_DIR)/pretemplate
 CREOLE_DIR      := $(EOLE_DIR)/creole
 CREOLE_DICO     := $(CREOLE_DIR)/dicos
 
@@ -37,6 +38,7 @@
 
 DATA            := data
 SCRIPTS         := scripts
+PRETEMPLATE     := pretemplate
 
 EAD             := ead
 
@@ -53,6 +55,7 @@
 	$(INSTALL_DIR) $(EOLE_DIR)
 	$(INSTALL_DIR) $(CREOLE_DIR)
 	$(INSTALL_DIR) $(CREOLE_DICO)
+	$(INSTALL_DIR) $(PRETEMPLATE_DIR)
 
 	$(INSTALL_DIR) $(ZEPHIR_DIR)
 	$(INSTALL_DIR) $(ZEPHIR_CONFIG)
@@ -83,6 +86,9 @@
 	for script in `ls -1 $(SCRIPTS)/`; do \
 		$(INSTALL_PROGRAM) $(SCRIPTS)/$$script $(ZEPHIR_SCRIPTS)/ ; \
 	done
+	for pretemplate in `ls -1 $(PRETEMPLATE)/`; do \
+		$(INSTALL_PROGRAM) $(PRETEMPLATE)/$$pretemplate $(PRETEMPLATE_DIR)/ ; \
+	done
 
 	for cron in `ls -1 $(CRON)/`; do \
 		$(INSTALL_PROGRAM) $(CRON)/$$cron $(CRON_D)/ ; \
@@ -105,6 +111,9 @@
 	for script in `find $(SCRIPTS)/ -type f`; do \
 		$(RM) $(ZEPHIR_SCRIPTS)/$${script#*/} ; \
 	done
+	for pretemplate in `find $(PRETEMPLATE)/ -type f`; do \
+		$(RM) $(PRETEMPLATE_DIR)/$${pretemplate#*/} ; \
+	done
 	for cron in `find $(CRON)/ -type f`; do \
 		$(RM) $(CRON_D)/$${cron#*/}; \
 	done

=== debian/changelog ===
zephir-client (2.5.0-1) eole-2.5-unstable; urgency=low

  [ Bruno Boiget ]
  * [30cc626] Merge branch 'issue/11310' into 2.4.2/master

  [ Joël Cuissinat ]
  * [9802430] Correction orthographique
  * [c14794c] Merge branch '2.4.2/ortho'

  [ Daniel Dehennin ]
  * [29ed5c3] Publication EOLE 2.5.0
  * [90b348f] Merge tag 'release/2.5.0' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [f52139b] Daniel Dehennin: Update package since “debian/eole/2.5.0_4-6”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 26 Jun 2015 12:13:34 +0200

zephir-client (2.5.0~4-6) eole-2.5-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [513b55e] Arrêt du client Zéphir à la désinstallation du paquet

  [ EOLE Build Daemon ]
  * [24c0f25] Fabrice Barconnière: Update package since “debian/eole/2.5.0_4-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 18 Jun 2015 16:29:16 +0200

zephir-client (2.5.0~4-5) eole-2.5-unstable; urgency=low

  [ Bruno Boiget ]
  * [9276f39] pretemplate : modification du shell de l'utilisateur uucp
  * [4120c59] Correction du shell pour l'utilisateur uucp (pretemplate)
  * [66d6c55] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [e84aa1e] Bruno Boiget: Update package since “debian/eole/2.5.0_4-4”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 15 Jun 2015 17:59:51 +0200

zephir-client (2.5.0~4-4) eole-2.5-unstable; urgency=low

  [ Bruno Boiget ]
  * [5ceb755] Merge branch 'issue/11897' into 2.4.0/master
  * [3656e18] synchro_zephir: Clarification du message d'erreur si z_stats arrêté
  * [383f9ed] Merge branch 'issue/11310'
  * [df71f0b] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [b50af16] Bruno Boiget: Update package since “debian/eole/2.5.0_4-3”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 15 Jun 2015 15:58:50 +0200

zephir-client (2.5.0~4-3) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [ef0da17] Merge branch 'backport/dansguardian-zephir-agent'
  * [644b7ee] Merge branch 'backport/dansguardian-zephir-agent'

  [ Fabrice Barconnière ]
  * [5bfc3be] Adaptation agent crl pour une chaîne de certif CA
  * [820449c] Merge branch 'issue/10969'
  * [a6cd27c] Correction Traceback si réponse vide
  * [d4c995a] Merge branch '2.4.1/master'

  [ Bruno Boiget ]
  * [c5c156e] Correction de l'affichage (flush stdout) dans upgrade_distrib.py
  * [0cdeabc] Merge branch '2.4.1/master'
  * [8dddb8d] Prise en compte du délai pour l'action de reboot à distance
  * [10e7c2c] reboot.zephir : correction indentation dans try/except
  * [1d0e8e3] Merge branch 'issue/11897'
  * [d147172] save_files : Chemins definis au niveau EOLE / académique prioritaires
  * [64f6bd8] Amélioration de l'ordre des fichiers dans fichiers_zephir (par priorité)
  * [7d4e1e7] Merge branch 'issue/11649'
  * [cc528c0] Merge branch 'issue/11649' into 2.4.1/master
  * [f126ff6] Merge branch 'issue/11897' into 2.4.1/master
  * [184a8d6] Ajout d'une fonction get_md5files pour rendre le client plus générique
  * [bc720ef] Merge branch '2.4.2/master'
  * [cd5a286] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [63b6990] Bruno Boiget: Update package since “debian/eole/2.5.0_4-2”

 -- Bruno Boiget <bruno.boiget@ac-dijon.fr>  Mon, 08 Jun 2015 11:21:06 +0200

zephir-client (2.5.0~4-2) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [22b3ccd] Utilisation de dh_python2 pour la compilation 2.5

  [ EOLE Build Daemon ]
  * [edaaaf5] Daniel Dehennin: Update package since “debian/eole/2.5.0_4-1”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 19 May 2015 17:21:36 +0200

zephir-client (2.5.0~4-1) eole-2.5-unstable; urgency=low

  [ Daniel Dehennin ]
  * [53415b1] Nouvel espace de nommage des tags Debian
  * [14a3275] Preparation pour EOLE 2.4.2-alpha1
  * [065ed2a] Preparation pour EOLE 2.5
  * [f22229c] Support du mode conteneur pour l'agent TCPService
  * [ff6aea4] Support de e2guardian + mode conteneur
  * [4faf639] Surveillance des deux instances de dansguardian
  * [549d501] Erreur dans l'appel à creole_client
  * [4a8c4f8] Déplacer les appels CreoleClient dans l’action
  * [a18ca63] Merge branch 'backport/dansguardian-zephir-agent'

  [ Bruno Boiget ]
  * [2df8818] upgrade_distrib: flush de l'entrée standard avant saisie du login
  * [3eeee0b] upgrade_distrib.py: message spécifique pour la haute dispo
  * [009b731] upgrade_distrib.py: message spécifique pour la haute dispo
  * [248a7d5] Corrections et ajouts dans les messages de fin d'upgrade/migration
  * [f61a5a5] Merge branch '2.4.1/master'
  * [925046d] install_paqs: Correction de l'installation si serveur de maj différent
  * [ea7da6b] Merge branch '2.4.1/master'

  [ Garette Emmanuel ]
  * [c5ca349] deplace l'upgrade de la configuration 2.4.0=>2.4.1 pour ne migrer qu'après récupération de la variante (ref #11380 @2h)
  * [96c1566] deplace l'upgrade de la configuration 2.4.0=>2.4.1 pour ne migrer qu'après récupération de la variante (ref #11380 @2h)
  * [7ee815b] redémarre bind dans le conteneur si nécessaire (ref #10356 @3h)
  * [0e2d171] Merge branch '2.4.1/master'
  * [3f54b29] support du mode conteneur pour l'agent TCPService (ref #11452 @1h)
  * [04dc3df] support de e2guardian + mode conteneur (ref #10355 @1h)
  * [9666b35] surveillance des deux instances de dansguardian (ref #11453)
  * [a7abbbe] erreur dans l'appel à creole_client (ref #10355)

  [ Joël Cuissinat ]
  * [e293c24] Mise à jour du chemin vers gen_replication.py sur 2.5
  * [d2ba282] Merge branch 'master' into dist/eole/2.5/master

  [ EOLE Build Daemon ]
  * [1b2f660] Joël Cuissinat: Update package since “debian/eole/2.4.1-17”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 19 May 2015 16:37:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
-Build-Depends: debhelper (>= 9), python-all-dev,
- python-central (>= 0.6.15), python-cheetah
+Build-Depends: debhelper (>= 9),
+               python-all,
+               python-cheetah
 Standards-Version: 3.9.3
 Homepage: http://eole.orion.education.fr/diff/
 Vcs-Git: http://dev-eole.ac-dijon.fr/git/zephir-client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2

# Force init script name
override_dh_installinit:
	dh_installinit --no-start --name=z_stats $@

# Avoid installing cron-zephir.sh zephir-client.
# Its source is explicitely listed in zephir-stats.install
override_dh_install:
	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
	dh_install

.PHONY: override_dh_pysupport override_dh_installinit override_dh_install

## zephir-client 2.6.2-15

=== debian/changelog ===
zephir-client (2.6.2-15) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4fe52a1] upgrade_distrib.py : trap ioctl error
  * [e12d311] Merge branch '2.6.0/30439-ioctl' into 2.6.2/master
  * [bb863ca] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [ecbe628] Joël Cuissinat: Update package since “debian/eole/2.6.2-14”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Wed, 15 Jul 2020 10:02:00 +0200

zephir-client (2.6.2-14) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [50cc96c] Merge branch '2.6.0/install_paqs' into 2.6.1/master
  * [35720bc] Merge branch '2.6.0/28160-errlog' into 2.6.1/master
  * [b77d0a8] Merge branch '2.6.0/install_paqs' into 2.6.0/master
  * [74ba0e2] Merge branch '2.6.0/28160-errlog' into 2.6.0/master

  [ Emmanuel Garette ]
  * [b985e3d] avec Zéphir 2.8.0, convertir le MD5SUM en string (ref #30178)
  * [de7b66f] Merge branch '2.6.0/master' into 2.6.1/master
  * [761df60] Merge branch '2.6.1/master' into 2.6.2/master
  * [7b22d06] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [a81ebda] Emmanuel Garette: Update package since “debian/eole/2.6.2-13”

 -- Emmanuel Garette <egarette@cadoles.com>  Thu, 28 May 2020 09:18:17 +0200

zephir-client (2.6.2-13) eole-2.6.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [6572f93] Amon RVP agent was in Error status when ne measure were available
  * [00cd174] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [7b479dc] Fabrice Barconnière: Update package since “debian/eole/2.6.2-12”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 22 Oct 2019 09:41:36 +0200

zephir-client (2.6.2-12) eole-2.6.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [286fded] sw threads Zéphir Agent uses now /tmp/tunnels_status.txt as measure source
  * [bb82da2] Sphynx RVP agent was in Error status when no measure were available
  * [9cb7c5c] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [10ff1d1] Fabrice Barconnière: Update package since “debian/eole/2.6.2-11”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 17 Oct 2019 08:12:53 +0200

zephir-client (2.6.2-11) eole-2.6.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [bc15e95] fix xfrm policies ckeck
  * [62bdc9b] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [d66ffb3] Fabrice Barconnière: Update package since “debian/eole/2.6.2-10”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 13 Sep 2019 16:12:30 +0200

zephir-client (2.6.2-10) eole-2.6.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [5d764f1] xfrm policies were not ckecked in Zéphir agent
  * [530251a] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [9da4280] Fabrice Barconnière: Update package since “debian/eole/2.6.2-9”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Fri, 13 Sep 2019 15:26:12 +0200

zephir-client (2.6.2-9) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [39b512b] Fix error logging in /var/log/zephir/last_action.log
  * [2de528b] Merge branch '2.6.0/28160-errlog' into 2.6.2/master
  * [1eb1e3e] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [0d623ac] Joël Cuissinat: Update package since “debian/eole/2.6.2-8”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 27 Jun 2019 11:09:05 +0200

zephir-client (2.6.2-8) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [e26971d] install_paqs.zephir : redirect Query-Auto messages in a logfile
  * [f6b14cd] install_paqs.zephir : don't try to install packages already installed
  * [9054f73] Merge branch '2.6.0/install_paqs' into 2.6.2/master
  * [284e762] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]
  * [2f2ce96] Joël Cuissinat: Update package since “debian/eole/2.6.2-7”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 Mar 2019 16:18:20 +0100

zephir-client (2.6.2-7) eole-2.6.2-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [802511b] Merge branch '2.4.0/report-kernel-support'
  * [4432556] Merge branch '2.4.0/report-kernel-support'
  * [ef15753] Merge branch '2.4.0/report-kernel-support'

  [ Fabrice Barconnière ]
  * [566d8b0] Merge branch '2.6.0/master' into 2.6.1/master
  * [7b7c5f9] Merge branch '2.5.0/master' into 2.6.1/master
  * [3b0d3ba] Merge branch '2.5.0/master' into 2.6.0/master
  * [a50f65b] Merge branch '2.5.0/master' into 2.5.2/master
  * [e1de8b4] Merge branch '2.5.0/master' into 2.5.2/master
  * [900bdde] IPsec certificates Zéphir agent displayed wrong expiration status on certificates
  * [6007c17] Merge branch 'issue/26659' into 2.6.0/master
  * [8255c73] Merge branch '2.6.0/master' into 2.6.1/master
  * [b9390b0] Merge branch '2.6.1/master' into 2.6.2/master
  * [d513c1a] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ Joël Cuissinat ]
  * [903f7ea] Merge branch '2.5.0/16715-filtrage-contenu-path' into 2.6.1/master
  * [cd90994] Merge branch '2.6.1/23576-filtrage-web3' into 2.6.1/master
  * [0692a90] Merge branch '2.5.0/16715-filtrage-contenu-path' into 2.6.0/master
  * [f8a1569] Merge branch '2.5.0/18082-fix-restart.zephir' into 2.5.2/master
  * [a40f299] Merge branch '2.5.0/16715-filtrage-contenu-path' into 2.5.2/master

  [ EOLE Build Daemon ]
  * [4bc3588] Fabrice Barconnière: Update package since “debian/eole/2.6.2-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 07 Feb 2019 10:15:43 +0100

zephir-client (2.6.2-6) eole-2.6.2-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [6b22fc5] Déclaration des configurations "filtrage web3" en tant que fichiers personnalisés
  * [960dd0f] Merge branch '2.6.1/23576-filtrage-web3' into 2.6.2/master
  * [ed20981] Merge branch '2.6.2/master' into dist/eole/2.6.2/master

  [ EOLE Build Daemon ]


=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Equipe EOLE <eole@ac-dijon.fr>
 Build-Depends: debhelper (>= 9),
+               dh-systemd,
                python-all,
                python-cheetah
 Standards-Version: 3.9.3
@@ -12,8 +13,8 @@
 
 Package: zephir-client
 Architecture: all
-Depends: uucp, python-rrd, python-twisted, snmp-mibs-downloader,
- language-pack-en,
+Depends: uucp, python-rrdtool, python-twisted, snmp-mibs-downloader,
+ language-pack-en, ssl-cert, openssh-server,
  ${python:Depends}, ${misc:Depends}
 Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
  Pour toute information complementaire, veuillez vous rendre

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2,systemd

# Avoid installing cron-zephir.sh zephir-client.
# Its source is explicitely listed in zephir-stats.install
override_dh_install:
	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
	dh_install

override_dh_systemd_enable:
	    dh_systemd_enable -p zephir-stats --name=z_stats

.PHONY: override_dh_pysupport override_dh_systemd_enable override_dh_install

## zephir-client 2.7.1-32

=== zephir/monitor/agentmanager/templates/Makefile ===
TEMPLATES = \
  PageTmpl.tmpl \
  AgentPageTmpl.tmpl \
  ManagerPageTmpl.tmpl \
  ServerPageTmpl.tmpl \
  AgentTmpl.tmpl \
  FileDataTmpl.tmpl \
  RRDFileDataTmpl.tmpl \
  ImgFileDataTmpl.tmpl \
  HTMLDataTmpl.tmpl \
  MeasuresDataTmpl.tmpl \
  TableDataTmpl.tmpl \
  SectionTmpl.tmpl


.PHONY : all clean

all : $(TEMPLATES:%.tmpl=%.py)

clean :
	rm -f $(TEMPLATES:%.tmpl=%.py)
	rm -f $(TEMPLATES:%.tmpl=%.py_bak)

%.py : %.tmpl
	cheetah compile $<

=== debian/changelog ===
zephir-client (2.7.1-32) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [41f96bf] Prendre en compte les dossiers déclarés dans fichiers_zephir.
  * [cfbd8d4] Merge branch '2.7.0/master' into 2.7.1/master
  * [363367e] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [f702261] Benjamin Bohard: Update package since “debian/eole/2.7.1-31”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 12 Dec 2023 11:29:38 +0100

zephir-client (2.7.1-31) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [531ff9f] Utiliser la représentation chaîne de caractères pour les chemins.
  * [3d95e4c] Merge branch '2.7.0/master' into 2.7.1/master
  * [c86ecdc] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c71f39e] Benjamin Bohard: Update package since “debian/eole/2.7.1-30”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 03 May 2023 08:28:27 +0200

zephir-client (2.7.1-30) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [243ae00] zephir-client: add python-pathlib2 dependency
  * [f43ee1a] zephirservice.py : use pathlib2 on python 2.7
  * [a2431a8] Merge branch '2.7.0/master' into 2.7.1/master
  * [df7dea5] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5923e03] Joël Cuissinat: Update package since “debian/eole/2.7.1-29”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 31 Jan 2023 15:15:30 +0100

zephir-client (2.7.1-29) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [4db414a] zephirservice.py : python 2.7 syntax
  * [e6c9a14] Merge branch '2.7.0/master' into 2.7.1/master
  * [7d073c2] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [830dd99] Joël Cuissinat: Update package since “debian/eole/2.7.1-28”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 23 Jan 2023 17:24:55 +0100

zephir-client (2.7.1-28) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [bcae2bf] Envoyer la somme md5 des fichiers divers

  [ Joël Cuissinat ]
  * [c444254] Merge branch '2.7.0/master' into 2.7.1/master
  * [8768f41] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [3da7c59] Joël Cuissinat: Update package since “debian/eole/2.7.1-27”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Mon, 23 Jan 2023 10:08:49 +0100

zephir-client (2.7.1-27) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [813920f] correction chargement agent samba ref #33302
  * [5e99a1f] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [168f106] Matthieu Lamalle: Update package since “debian/eole/2.7.1-26”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Fri, 15 Oct 2021 15:20:53 +0200

zephir-client (2.7.1-26) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [343b05c] typo
  * [0b41126] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e991d16] Matthieu Lamalle: Update package since “debian/eole/2.7.1-25”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 04 Oct 2021 15:49:33 +0200

zephir-client (2.7.1-25) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [9194f3f] Ajout agen zephir pour message erreur sambe 2.7.1 ref #32482
  * [a64bbe2] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [6e67239] Matthieu Lamalle: Update package since “debian/eole/2.7.1-24”

 -- Matthieu Lamalle <mlamalle@cadoles.com>  Mon, 04 Oct 2021 14:52:13 +0200

zephir-client (2.7.1-24) eole-2.7.1-proposed-updates; urgency=low

  [ Matthieu Lamalle ]
  * [2e54b26] recharger les eosfuncs lors de l'enregistrement ref #32806

  [ Joël Cuissinat ]
  * [0ffc2a8] Merge branch '2.7.0/master' into 2.7.1/master
  * [5b0b0d0] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [e44ec91] Joël Cuissinat: Update package since “debian/eole/2.7.1-23”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 17 Jun 2021 16:36:35 +0200

zephir-client (2.7.1-23) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [8a9ecde] Merge branch '2.6.0/30439-ioctl' into 2.7.0/master
  * [79543be] Merge branch '2.7.0/30675-squashfs' into 2.7.0/master

  [ Emmanuel Garette ]
  * [38f5818] faire un warning explicite en cas d'erreur d'insertion rrdtool (ref #31989)
  * [529b8d8] Merge branch '2.7.0/master' into 2.7.1/master
  * [610d1ff] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ae48d42] Emmanuel Garette: Update package since “debian/eole/2.7.1-22”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 07 Apr 2021 11:20:05 +0200

zephir-client (2.7.1-22) eole-2.7.1-proposed-updates; urgency=low

  [ Emmanuel Garette ]
  * [4b8d17b] utilisation de apt-eole pour installer les paquets (ref #31605)
  * [acdc5a0] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [d6807b1] Emmanuel Garette: Update package since “debian/eole/2.7.1-21”

 -- Emmanuel Garette <egarette@cadoles.com>  Fri, 29 Jan 2021 16:50:12 +0100

zephir-client (2.7.1-21) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [fe29295] More directories in z_stats service environment variable PATH
  * [3bea679] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [5857392] Benjamin Bohard: Update package since “debian/eole/2.7.1-20”

 -- Benjamin Bohard <bbohard@cadoles.com>  Mon, 30 Nov 2020 15:55:45 +0100

zephir-client (2.7.1-20) eole-2.7.1-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [66051c4] No error with squashfs filesystem (ref: #30675)
  * [508443e] Merge branch '2.7.0/30675-squashfs' into 2.7.1/master
  * [63a6cae] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [b49f719] Joël Cuissinat: Update package since “debian/eole/2.7.1-19”



=== debian/control ===
--- 
+++ 
@@ -13,9 +13,17 @@
 
 Package: zephir-client
 Architecture: all
-Depends: uucp, python-rrdtool, python-twisted, snmp-mibs-downloader,
- language-pack-en, ssl-cert, openssh-server,
- ${python:Depends}, ${misc:Depends}
+Depends: update-inetd,
+         uucp,
+         python-rrdtool,
+         python-twisted,
+         python-pathlib2,
+         snmp-mibs-downloader,
+         language-pack-en,
+         ssl-cert,
+         openssh-server,
+         ${python:Depends},
+         ${misc:Depends}
 Description: programmes d'interconnexion d'un client EOLE avec un Zéphir
  Pour toute information complementaire, veuillez vous rendre
  sur le site du Projet a l'adresse suivante :

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,14 @@
 	rm -f debian/tmp/usr/share/zephir/scripts/cron-zephir.sh
 	dh_install
 
+# Force init script name
+override_dh_installinit:
+	dh_installinit --noscripts -pzephir-stats --name=z_stats $@
+
 override_dh_systemd_enable:
-	    dh_systemd_enable -p zephir-stats --name=z_stats
+	dh_systemd_enable --name=z_stats
 
-.PHONY: override_dh_pysupport override_dh_systemd_enable override_dh_install
+override_dh_systemd_start:
+	dh_systemd_start --no-start --no-restart-on-upgrade z_stats.service
+
+.PHONY: override_dh_installinit override_dh_install
